<template>
    <div id="vue-app">
        <!-- bag image -->
        <div id="bag"></div>

        <!-- bag health -->
        <div id="bag-health">
            <div v-bind:style="{width:health + '%'}" >{{health}}</div>
        </div>
        
        <!-- game controls -->
        <div id="controls">
            <!--<button v-on:click="punch" v-show="!ended">Punch</button>-->
            <button v-on:click="punch" :disabled="ended">Punch</button>
            <button v-on:click="restart">Restart</button>
        </div>


    </div>
</template>


<script>
export default{
    data(){
        return{
            health:100,
            ended:false
        }
    },
    methods:{
        punch:function(){
            this.health-=10;
            if(this.health<10){
                this.ended=true;
            }
        },
        restart:function(){
            this.health=100;
            this.ended=false;
        }
    }
}

</script>



<style>
#vue-app{
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 400px repeat(2, 20px);
    grid-column-gap: 0px;
    grid-row-gap: 10px;
    place-items:  center;
}
#bag{
    width: 300px;
    height: 400px;
    background: url(../assets/punching_bag.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 350px;
}
#bag-health{
  width:200px;
  border:2px solid#000;
  margin:0auto 20px auto;
  text-align: center;
}
#bag-health div{
  height:20px;
  background:crimson;
}

#controls{
  width:120px;
  margin:0auto;
}
</style>